' Matt Collinge. Copyright November 2006
' Helper script; takes a filename as an argument
' and outputs it to a logfile with the current date/time.

Dim objFileSystem, objOutputFile
Dim strOutputFile

Const OPEN_FILE_FOR_APPENDING = 8

' generate a filename base on the script name
strOutputFile = "c:/completed-downloads-log.txt"

Set objFileSystem = CreateObject("Scripting.fileSystemObject")

' Create the file if it doesn't exist
If objFileSystem.FileExists(strOutputFile)=false Then
   Set objFile = objFileSystem.CreateTextFile(strOutputFile)
   objFile.Close
End If 

Set objOutputFile = objFileSystem.OpenTextFile(strOutputFile, OPEN_FILE_FOR_APPENDING)

objOutputFile.WriteLine("** FILE FINISHED")
objOutputFile.WriteLine("  Filename: " & WScript.Arguments(0))
objOutputFile.WriteLine("  Date:     " & Now)
objOutputFile.WriteLine("")
objOutputFile.Close

Set objFileSystem = Nothing